# MythicMobs - custom mobs

MythicMobs is a plugin for making highly customizable mobs and bosses.\
This page explains how you can make said mobs drop a NexoItem or equip them with a NexoItem

Below is an example config of how to define Equipment & Drops (also applies to DropTables)

```yaml
ExampleMob:
  Type: WITHER_SKELETON
  Equipment:
    - IRON_HELMET HEAD
    - nexo:forest_sword HAND
    - nexo:forest_shield OFFHAND
  Drops:
    - nexo forest_chestplate 1to2 1.0
    - #nexo itemid amount probability
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.nexomc.com/compatibility/mythicmobs-custom-mobs.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
